# Faire devinner un chiffre secret à l'utilisateur
# Générer un chiffre aléatoire entre 1 et 10

# L'utilisateur aura 3 chances pour trouver le chiffre secret :
# - si il trouve le chiffre secret avant d'avoir écoulé ses 3 chances -> la partie s'arrête c'est gagné !
# - si il ne trouve pas le chiffre secret avant d'avoir écoulé ses 3 chances -> la partie s'arrête c'est perdu !

# Si le chiffre proposé par l'utilisateur est supérieur au chiffre secret lui indiquer que son
# chiffre est trop grand et lui indiquer le nombre de points de vie restant

# Si le chiffre proposé par l'utilisateur est inférieur au chiffre secret lui indiquer que son
# chiffre est trop petit et lui indiquer le nombre de points de vie restant

# Bonus
# Si l'internaute ne nous donne pas un chiffre entre 1 et 10 alors je lui repose la question sans lui faire
# perdre de point

import random

secret_number = random.randint(1, 10)
nbr_chances = 3

print(f'secret_number {secret_number}')

while nbr_chances > 0:
    answer = input('What is your secret number ? >')

    if not answer.isnumeric() or not 1 <= int(answer) <= 10:
        print('Please insert a number between 1 and 10')
        continue

    nbr_chances -= 1
    answer = int(answer)

    if answer == secret_number:
        print('You won the game !')
        break
    elif answer > secret_number:
        print(f'Your number is to high, you still have {nbr_chances} chances')
    else:
        print(f'Your number is to low, you still have {nbr_chances} chances')

else:
    print('You lose the game !')
