# Tombola

# 3 gagnants
# 10 participants (tuple de dictionnaires)

# Un participant (dictionnaire)
# first_name
# sexe
# money

# Liste des prix
# 1 -> 10 000€
# 2 -> 5 000 €
# 3 -> 1 000 €

# Annoncer chaque gagnant à chaque tour et mettre à jour l'argent sur son compte

# Règles
# 1 joueur ne gagne qu'une seule fois
# Au moins une femme doit gagner à chaque fois

import random

list_players = (
    {'first_name': 'Sam', 'sexe':'m', 'money': 10_000},
    {'first_name': 'Tom', 'sexe':'m', 'money': 20_000},
    {'first_name': 'Charles', 'sexe':'m', 'money': 30_000},
    {'first_name': 'Luc', 'sexe':'m', 'money': 40_000},
    {'first_name': 'Cyril', 'sexe':'m', 'money': 50_000},
    {'first_name': 'Julia', 'sexe':'f', 'money': 120_000},
    {'first_name': 'Sarah', 'sexe':'f', 'money': 110_000},
    {'first_name': 'Léa', 'sexe':'f', 'money': 130_000},
    {'first_name': 'Chloé', 'sexe':'f', 'money': 140_000},
    {'first_name': 'Brigitte', 'sexe':'f', 'money': 150_000}
)


list_rewards = [10_000, 5_000, 1_000]

def tombola():
    list_winners = []
    woman_won = False

    i = 0
    while i < 3:
        winner = random.choice(list_players)

        if i == 2 and not woman_won and winner['sexe'] == 'm':
            continue

        if winner not in list_winners:

            if winner['sexe'] == 'f':
                woman_won = True

            winner['money'] += list_rewards[i]
            list_winners.append(winner)
            print(f"The winner of round n°{i + 1} is {winner['first_name']}, he won {list_rewards[i]} €, and he has now "
                  f"{winner['money']} € in his/her account !")
            i += 1

    answer = input('Do you wanna play again? (Y)es or (N)o').lower()

    if answer == 'y':
        tombola()
    else:
        print('bye bye')


tombola()